package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MesClientBean extends BaseMesPageBean {


    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * id : 245
         * isDelete : null
         * createDateTime : 1585036996000
         * updateDateTime : null
         * customerCode : KN00185
         * customerName : 西宁特殊钢股份有限公司
         * salesCompanyCode : GK31
         * salesCompanyName : 销售六公司
         * salesManagerCode : EM1606001
         * salesManagerName : 袁安波
         * createUserId : BAT
         * createUserName :
         * updateUserId :
         * updateUserName : null
         * remark :
         * delete : null
         */

        private String id;
        private Object isDelete;
        private long createDateTime;
        private Object updateDateTime;
        private String customerCode;
        private String customerName;
        private String salesCompanyCode;
        private String salesCompanyName;
        private String salesManagerCode;
        private String salesManagerName;
        private String createUserId;
        private String createUserName;
        private String updateUserId;
        private Object updateUserName;
        private String remark;
        private Object delete;
        private String customerUserCode;
        private String customerUserName;


        public String getCustomerUserCode() {
            return customerUserCode;
        }

        public void setCustomerUserCode(String customerUserCode) {
            this.customerUserCode = customerUserCode;
        }

        public String getCustomerUserName() {
            return customerUserName;
        }

        public void setCustomerUserName(String customerUserName) {
            this.customerUserName = customerUserName;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getIsDelete() {
            return isDelete;
        }

        public void setIsDelete(Object isDelete) {
            this.isDelete = isDelete;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getCustomerCode() {
            return customerCode;
        }

        public void setCustomerCode(String customerCode) {
            this.customerCode = customerCode;
        }

        public String getCustomerName() {
            return customerName;
        }

        public void setCustomerName(String customerName) {
            this.customerName = customerName;
        }

        public String getSalesCompanyCode() {
            return salesCompanyCode;
        }

        public void setSalesCompanyCode(String salesCompanyCode) {
            this.salesCompanyCode = salesCompanyCode;
        }

        public String getSalesCompanyName() {
            return salesCompanyName;
        }

        public void setSalesCompanyName(String salesCompanyName) {
            this.salesCompanyName = salesCompanyName;
        }

        public String getSalesManagerCode() {
            return salesManagerCode;
        }

        public void setSalesManagerCode(String salesManagerCode) {
            this.salesManagerCode = salesManagerCode;
        }

        public String getSalesManagerName() {
            return salesManagerName;
        }

        public void setSalesManagerName(String salesManagerName) {
            this.salesManagerName = salesManagerName;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public Object getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(Object updateUserName) {
            this.updateUserName = updateUserName;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }
    }
}
